using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 补充发放记录
/// </summary>
[Description("补充发放记录")]
public class SupplementRecord : FullStateEntity
{
    /// <summary>
    /// OrderId
    /// </summary>
    [SugarColumn(ColumnDescription = "OrderId")]
    public string OrderId { get; set; }

    /// <summary>
    /// No
    /// </summary>
    [SugarColumn(ColumnDescription ="No")]
    public string No { get; set; }

    /// <summary>
    /// RedPackAuditId
    /// </summary>
    [SugarColumn(ColumnDescription = "RedPackAuditId")]
    public string RedPackAuditId { get; set; }

    /// <summary>
    /// RedPackRecordId
    /// </summary>
    //[SugarColumn(ColumnDescription = "RedPackRecordId")]
    //public string RedPackRecordId { get; set; }

    /// <summary>
    /// 行业
    /// </summary>
    [SugarColumn(ColumnDescription = "行业名称")]
    public string IndustryName { get; set; }

    /// <summary>
    /// 行业Id
    /// </summary>
    [SugarColumn(ColumnDescription = "行业Id")]
    public string? IndustryId { get; set; }

    /// <summary>
    /// 补充发放金额
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放金额")]
    public double? ReplenishAmount { get; set; }

    /// <summary>
    /// 补充发放时间
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放时间")]
    public DateTime? ReplenishTime { get; set; }

    /// <summary>
    /// 补充发放备注
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放备注")]
    public string? ReplenishRemark { get; set; }

    /// <summary>
    /// 补充发放类型
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放类型")]
    public string? ReplenishType { get; set; }

    /// <summary>
    /// 补充发放类型Id
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放类型Id")]
    public string? ReplenishTypeId { get; set; }

    /// <summary>
    /// 银行卡号
    /// </summary>
    [SugarColumn(ColumnDescription = "银行卡号")]
    public string? BankCardNo { get; set; }

    /// <summary>
    /// 开户行
    /// </summary>
    [SugarColumn(ColumnDescription = "开户行")]
    public string? OpenBank { get; set; }

    /// <summary>
    /// 补充发放人姓名
    /// </summary>
    [SugarColumn(ColumnDescription = "补充发放人姓名")]
    public string? Name { get; set; }

    /// <summary>
    /// 是否发送短信
    /// </summary>
    [SugarColumn(ColumnDescription = "是否发送短信")]
    public bool IsSendSMS { get; set; }

    /// <summary>
    /// 补充奖励类型
    /// </summary>
    [SugarColumn(ColumnDescription = "特殊红包审核,审批类型")]
    public string? AuditType { get; set; }

    /// <summary>
    /// 补充奖励类型
    /// </summary>
    [SugarColumn(ColumnDescription = "特殊红包审核,审批类型")]
    public string? AuditTypeCode { get; set; }
}
